<template>
    <div>
     <LoadingComp v-if="isLoading" class="w-100 text-center pt-16"/>
     <ArticleDetails v-else/>
    </div>
</template>
<script>
import ArticleDetails from '@/components/ArticleDetails.vue';
import LoadingComp from '@/UIComponents/LoadingComp.vue';
import { mapState } from 'vuex';
export default {
   components:{
      ArticleDetails,
      LoadingComp
   },
   computed:{
      ...mapState({
        isLoading: state => state.article.isLoading
      })
   },
   
    mounted(){
        this.$store.dispatch('get_article_detail', this.$route.params.id)
    }
}
</script>